import request from '@/utils/request'

// 查询个体注销信息列表
export function listCancellation(query) {
  return request({
    url: '/basicData/xcrIndividualCancellation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体注销信息详细
export function getCancellation(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualCancellation/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体注销信息
export function addCancellation(data) {
  return request({
    url: '/basicData/xcrIndividualCancellation',
    method: 'post',
    data: data
  })
}

// 修改个体注销信息
export function updateCancellation(data) {
  return request({
    url: '/basicData/xcrIndividualCancellation',
    method: 'put',
    data: data
  })
}

// 删除个体注销信息
export function delCancellation(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualCancellation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delCancellationBatch(ids) {
  return request.post('/basicData/xcrIndividualCancellation/delete',ids)
}
